Document of c-modernization-kit (calc dotnet wrapper) 1.0.0

Loading...
Searching...
No Matches
Static Public Member Functions
CalcLib.CalcLibrary Class Reference

ネイティブ calc ライブラリを使用して基本的な整数演算を実行するための メソッドを提供します。 More...

Collaboration diagram for CalcLib.CalcLibrary:

## Static Public Member Functions
static CalcResult | Calculate (CalcKind kind, int a, int b)
| 指定された演算種別に基づいて計算を実行します。
static int | CalculateOrThrow (CalcKind kind, int a, int b)
| 計算を実行し、失敗した場合は例外をスローします。
static CalcResult | Add (int a, int b)
| 2 つの整数を加算します。
static CalcResult | Subtract (int a, int b)
| 第一の整数から第二の整数を減算します。
static CalcResult | Multiply (int a, int b)
| 2 つの整数を乗算します。
static CalcResult | Divide (int a, int b)
| 第一の整数を第二の整数で除算します。

## Detailed Description

ネイティブ calc ライブラリを使用して基本的な整数演算を実行するための メソッドを提供します。

Definition at line 27 of file CalcLibrary.cs.

## Member Function Documentation

## ◆ Calculate()

CalcResult CalcLib.CalcLibrary.Calculate | ( | CalcKind | kind,
|  | int | a,
|  | int | b )
| inline static

指定された演算種別に基づいて計算を実行します。

Parameters

  kind | 実行する計算の種別。
  a | 第一オペランド。
  b | 第二オペランド。

Returns
  結果またはエラー情報を含む CalcResult。 演算が成功したかどうかは CalcResult.IsSuccess で判定してください。

var result = CalcLibrary.Calculate(CalcKind.Add, 10, 20);
if (result.IsSuccess)
{
Console.WriteLine($"Result: {result.Value}"); // 出力: 30
}
else
{
Console.WriteLine($"Error: {result.ErrorCode}");
}
CalcLib.CalcLibrary
ネイティブ calc ライブラリを使用して基本的な整数演算を実行するための メソッドを提供します。
Definition CalcLibrary.cs:28
CalcLib.CalcLibrary.Calculate
static CalcResult Calculate(CalcKind kind, int a, int b)
指定された演算種別に基づいて計算を実行します。
Definition CalcLibrary.cs:62
CalcLib.CalcKind
CalcKind
計算演算の種別を表します。
Definition CalcKind.cs:24

Definition at line 62 of file CalcLibrary.cs.

Referenced by CalculateOrThrow(), and CalcApp.Program.Main().

Here is the caller graph for this function:

## ◆ CalculateOrThrow()

int CalcLib.CalcLibrary.CalculateOrThrow | ( | CalcKind | kind,
|  | int | a,
|  | int | b )
| inline static

計算を実行し、失敗した場合は例外をスローします。

Parameters

  kind | 実行する計算の種別。
  a | 第一オペランド。
  b | 第二オペランド。

Returns
  計算結果。

Exceptions

  CalcException | 計算が失敗した場合 (例: ゼロ除算または無効な演算種別)。

try
{
int result = CalcLibrary.CalculateOrThrow(CalcKind.Divide, 10, 0);
}
catch (CalcException ex)
{
Console.WriteLine($"Calculation failed: {ex.Message}");
}
CalcLib.CalcException
計算演算が失敗した際にスローされる例外。
Definition CalcException.cs:27
CalcLib.CalcLibrary.CalculateOrThrow
static int CalculateOrThrow(CalcKind kind, int a, int b)
計算を実行し、失敗した場合は例外をスローします。
Definition CalcLibrary.cs:94

Definition at line 94 of file CalcLibrary.cs.

References Calculate().

Here is the call graph for this function:

## ◆ Add()

CalcResult CalcLib.CalcLibrary.Add | ( | int | a,
|  | int | b )
| static

2 つの整数を加算します。

Parameters

  a | 第一オペランド。
  b | 第二オペランド。

Returns
  和またはエラー情報を含む CalcResult。

var result = CalcLibrary.Add(5, 3);
Console.WriteLine(result.Value); // 出力: 8
CalcLib.CalcLibrary.Add
static CalcResult Add(int a, int b)
2 つの整数を加算します。

## ◆ Subtract()

CalcResult CalcLib.CalcLibrary.Subtract | ( | int | a,
|  | int | b )
| static

第一の整数から第二の整数を減算します。

Parameters

  a | 第一オペランド (被減数)。
  b | 第二オペランド (減数)。

Returns
  差またはエラー情報を含む CalcResult。

var result = CalcLibrary.Subtract(10, 4);
Console.WriteLine(result.Value); // 出力: 6
CalcLib.CalcLibrary.Subtract
static CalcResult Subtract(int a, int b)
第一の整数から第二の整数を減算します。

## ◆ Multiply()

CalcResult CalcLib.CalcLibrary.Multiply | ( | int | a,
|  | int | b )
| static

2 つの整数を乗算します。

Parameters

  a | 第一オペランド。
  b | 第二オペランド。

Returns
  積またはエラー情報を含む CalcResult。

var result = CalcLibrary.Multiply(6, 7);
Console.WriteLine(result.Value); // 出力: 42
CalcLib.CalcLibrary.Multiply
static CalcResult Multiply(int a, int b)
2 つの整数を乗算します。

## ◆ Divide()

CalcResult CalcLib.CalcLibrary.Divide | ( | int | a,
|  | int | b )
| static

第一の整数を第二の整数で除算します。

Parameters

  a | 第一オペランド (被除数)。
  b | 第二オペランド (除数)。

Returns
  商またはエラー情報を含む CalcResult。

整数除算を実行します。ゼロ除算の場合はエラーとなります (CalcResult.IsSuccess は false)。

var result = CalcLibrary.Divide(20, 5);
if (result.IsSuccess)
{
Console.WriteLine(result.Value); // 出力: 4
}
var errorResult = CalcLibrary.Divide(10, 0);
Console.WriteLine(errorResult.IsSuccess); // 出力: False
CalcLib.CalcLibrary.Divide
static CalcResult Divide(int a, int b)
第一の整数を第二の整数で除算します。

The documentation for this class was generated from the following file:

- calc.net/libsrc/CalcLib/CalcLibrary.cs